Show / Hide Table of Contents

# Class DataManager

This class provides data for Dalamud-internal features, but can also be used by plugins if needed.

##### Inheritance

System.Object
DataManager

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Data

###### Assembly: Dalamud.dll

##### Syntax

    public class DataManager : IDisposable

### Constructors

| Improve this Doc View Source

#### DataManager(ClientLanguage)

##### Declaration

    public DataManager(ClientLanguage language)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.ClientLanguage | language |

### Properties

| Improve this Doc View Source

#### ClientOpCodes

OpCodes sent by the client to the server.

##### Declaration

    public ReadOnlyDictionary<string, ushort> ClientOpCodes { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.ObjectModel.ReadOnlyDictionary<System.String, System.UInt16> |

| Improve this Doc View Source

#### Excel

An Lumina.Excel.ExcelModule object which gives access to any of the game's sheet data.

##### Declaration

    public ExcelModule Excel { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.ExcelModule |

| Improve this Doc View Source

#### IsDataReady

Indicates whether Game Data is ready to be read.

##### Declaration

    public bool IsDataReady { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ServerOpCodes

OpCodes sent by the server to the client.

##### Declaration

    public ReadOnlyDictionary<string, ushort> ServerOpCodes { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.ObjectModel.ReadOnlyDictionary<System.String, System.UInt16> |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### GetExcelSheet<T>()

Get an Lumina.Excel.ExcelSheet<T> with the given Excel sheet row type.

##### Declaration

    public ExcelSheet<T> GetExcelSheet<T>()

        where T : class, IExcelRow

##### Returns

Type | Description
--- | ---
Lumina.Excel.ExcelSheet<T> | The Lumina.Excel.ExcelSheet<T>, giving access to game rows.

##### Type Parameters

Name | Description
--- | ---
T | The excel sheet type to get.

| Improve this Doc View Source

#### GetExcelSheet<T>(ClientLanguage)

Get an Lumina.Excel.ExcelSheet<T> with the given Excel sheet row type with a specified language.

##### Declaration

    public ExcelSheet<T> GetExcelSheet<T>(ClientLanguage language)

        where T : class, IExcelRow

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.ClientLanguage | language | Language of the sheet to get.

##### Returns

Type | Description
--- | ---
Lumina.Excel.ExcelSheet<T> | The Lumina.Excel.ExcelSheet<T>, giving access to game rows.

##### Type Parameters

Name | Description
--- | ---
T | The excel sheet type to get.

| Improve this Doc View Source

#### GetFile(String)

Get a Lumina.Data.FileResource with the given path.

##### Declaration

    public FileResource GetFile(string path)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | path | The path inside of the game files.

##### Returns

Type | Description
--- | ---
Lumina.Data.FileResource | The Lumina.Data.FileResource of the file.

| Improve this Doc View Source

#### GetFile<T>(String)

Get a Lumina.Data.FileResource with the given path, of the given type.

##### Declaration

    public T GetFile<T>(string path)

        where T : FileResource

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | path | The path inside of the game files.

##### Returns

Type | Description
--- | ---
T | The Lumina.Data.FileResource of the file.

##### Type Parameters

Name | Description
--- | ---
T | The type of resource

| Improve this Doc View Source

#### GetIcon(ClientLanguage, Int32)

Get a Lumina.Data.Files.TexFile containing the icon with the given ID, of the given language.

##### Declaration

    public TexFile GetIcon(ClientLanguage iconLanguage, int iconId)

##### Parameters

Type | Name | Description
--- | --- | ---
Dalamud.ClientLanguage | iconLanguage | The requested language.
System.Int32 | iconId | The icon ID.

##### Returns

Type | Description
--- | ---
Lumina.Data.Files.TexFile | The Lumina.Data.Files.TexFile containing the icon.

| Improve this Doc View Source

#### GetIcon(Int32)

Get a Lumina.Data.Files.TexFile containing the icon with the given ID.

##### Declaration

    public TexFile GetIcon(int iconId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | iconId | The icon ID.

##### Returns

Type | Description
--- | ---
Lumina.Data.Files.TexFile | The Lumina.Data.Files.TexFile containing the icon.

| Improve this Doc View Source

#### GetIcon(String, Int32)

Get a Lumina.Data.Files.TexFile containing the icon with the given ID, of the given type.

##### Declaration

    public TexFile GetIcon(string type, int iconId)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | type | The type of the icon (e.g. 'hq' to get the HQ variant of an item icon).
System.Int32 | iconId | The icon ID.

##### Returns

Type | Description
--- | ---
Lumina.Data.Files.TexFile | The Lumina.Data.Files.TexFile containing the icon.

| Improve this Doc View Source

#### Initialize(String)

##### Declaration

    public Task Initialize(string baseDir)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | baseDir |

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

### Implements

System.IDisposable